/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_23.h"
#include "file_7.h"
#include "file_27.h"
#include <iostream.h>
int l_438(double x);
int l_439(double x);
int l_440(double x);
#ifndef SEEK_SET
#define SEEK_SET 0
#endif
#ifndef SEEK_CUR
#define SEEK_CUR 1
#endif
#ifndef SEEK_END
#define SEEK_END 2
#endif
int l_441(char* l_442);
char* l_443(char *l_442, int l_411);
void l_444(int t);
void l_445(char *l_419, int l_420=1);
void l_446();
void l_447();
void l_448(char* l_449);
extern int l_450;
extern double* l_451;
enum l_452 { l_453=-1, l_454=0, l_455=1 };
extern l_452 l_456;
extern char l_457[];
extern char l_458[];
void initM(istream& l_291, ostream& l_292, ostream& l_293);
void exitM(void);
M brackets(int type,...);
M cd();
M cd(M dir);
M clockM();
M deleteM(M filename);
M dir();
M dos(M l_294);
M load(char *l_295, M& a=l_M, M& l_33=l_M, M& c=l_M, M& d=l_M, M& l_1=l_M, M& f=l_M, M& g=l_M, M& h=l_M, M& i=l_M, M& j=l_M);
M loadascii(char *l_295, M& a);
M save(char *l_295, M a=l_M, M l_33=l_M, M c=l_M, M d=l_M, M l_1=l_M, M f=l_M, M g=l_M, M h=l_M, M i=l_M, M j=l_M);
M saveascii(char *l_295, M a=l_M, M l_33=l_M, M c=l_M, M d=l_M, M l_1=l_M, M f=l_M);
M type(M l_295);
M systemM(M l_296);
M system_dependent(...);
M whos();
